<?php
//ini_set("display_errors",1);
require_once ("../../config/Cado.php");
require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once ("../producto/cPrecio.php");
$oPrecio = new cPrecio();
require_once("../producto/cStock.php");
$oStock = new cStock();
require_once("../kardex/cKardex.php");
$oKardex = new cKardex();
require_once ("cPreciogestion.php");
$oInventarioinicial = new cPreciogestion();
require_once ("../historial/cHistorial.php");
$oHistorial = new cHistorial();
require_once("../formatos/formato.php");
//actualizacion de utilidad y precio de venta
if($_POST['action']=="guardar_stock_cantidad")
{
	$mod_id=11;
	$dts4  = $oKardex->obtener_stock_inicial($mod_id,$_POST['alm_id'],$_POST['cat_id']);	
	$num_rows= mysqli_num_rows($dts4);
	if($num_rows==0)
	{
		//registro de kardex
		$kar_des='INVENTARIO INICIAL';
		$mod_id = 1;
		$idm=$_POST['cat_id'];//id de la op(modulo compras, ventas, etc)
		
		//insertamos kardex
		$oKardex->insertar(			
			fecha_mysql(date('d-m-Y')),
			$kar_des,
			$mod_id,
			$idm,
			$_POST['alm_id'],
			$_POST['hdd_usu_id'],
			$_POST['hdd_emp_id']		
			);
		
		//ultimo kardex
		$dts=$oKardex->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
			$kar_id=$dt['last_insert_id()'];
		mysqli_free_result($dts);
		// ------------- DETALLE KARDEX
		$dtsx=$oCatalogo->mostrarUno($_POST['cat_id']);
		$dt = mysqli_fetch_array($dtsx);
			$precioventa=$dt['tb_catalogo_preven'];
		mysqli_free_result($dtsx);
		$kar_tipo=1;//1 entrada 2 salida
		$oKardex->insertar_detalle(
			$_POST['cat_id'],
			$kar_tipo,
			$_POST['stock'],
			$_POST['costo'],
			$precioventa,
			$kar_id
		);	
		//STOCK
		$dts=$oCatalogo->presentacion_catalogo($_POST['cat_id']);
		$dt = mysqli_fetch_array($dts);
		$pre_id=	$dt['tb_presentacion_id'];
		mysqli_free_result($dts);				
		$oStock->insertar($_POST['alm_id'],$pre_id,$_POST['stock']);
		$dtsz = $oInventarioinicial->mostrar_filtro_poridcat($_POST['cat_id']);	
		$num_rows= mysqli_num_rows($dtsz);
		
		while($dt1 = mysqli_fetch_array($dtsz))
		{
			$data['okinsert'] = 1;
			$preMin = mysqli_fetch_array($oPrecio->consultar_precio('1', $dt1['tb_catalogo_id']))['tb_preciodetalle_val'];
			$preMay = mysqli_fetch_array($oPrecio->consultar_precio('2', $dt1['tb_catalogo_id']))['tb_preciodetalle_val'];
			$data['nombre'] = htmlentities($dt1['tb_producto_nom']);
			$data['marca'] = $dt1['tb_marca_nom'];
			$data['categoria'] = $dt1['tb_categoria_nom'];
			$data['unidadm'] = $dt1['tb_unidad_abr'];
			$data['codbar'] = $dt1['tb_presentacion_codbar'];
			$data['precos'] = $dt1['tb_catalogo_precos'];
			$data['preven'] = $dt1['tb_catalogo_preven'];
			$data['premin'] = $preMin;
			$data['premay'] = 	$preMay;
			//$data['stock_num'] = $_POST['stock'];
			$mod_id=1;
			$dts4x  = $oKardex->obtener_stock_inicial($mod_id,$_POST['alm_id'],$_POST['cat_id']);
			while($dt4 = mysqli_fetch_array($dts4x)){
				$data['stock_kardex'] = $dt4['tb_kardexdetalle_can'];
			}
			mysqli_free_result($dts4x);
			$data['stock_num'] = $data['stock_kardex'];
		}
		mysqli_free_result($dtsz);
		
		
		$user_agen = $_SERVER['HTTP_USER_AGENT'];;
		$mod = 1;
		$mod_ide = 0;
		$det = 'INVENTARIO INICIAL REGISTRADO ['.$pro_nom.' | '.$mar_nom.']';
		$fec = date('Y-m-d');
		$doc_id = 0;
		$numdoc = '';
		$ip = mostrar_ip();
	 	
		$oHistorial->insertar(
		fecha_mysql($fec),
		$det,
		$ip,
		$_SESSION['usuario_id'],
		$mod,
		$mod_ide,
		$doc_id,
		$numdoc
		);
	
	
		$data['okinsert'] ="Correcto";
		echo json_encode($data);
	}
	else
	{
		$data['okinsert'] = "Error";
		echo json_encode($data);
	}
}
?>